SELECT dataBefore.rcID,
       dataBefore.rcName,
       dataBefore.scID,
       dataBefore.scName,
       dataBefore.consularService AS conSerBefore,
       dataAfter.consularService AS conSerAfter,
       dataBefore.avgVisaAppliedFor AS visaAppliedBefore,
       dataAfter.avgVisaAppliedFor AS visaAppliedAfter,
       CONVERT(INT,dataBefore.avgVisaRefusalRate) AS refRateBefore,
       CONVERT(INT,dataAfter.avgVisaRefusalRate) AS refRateAfter,
       dataBefore.avgMobBar AS mobBarBefore,
       dataAfter.avgMobBar AS mobBarAfter,
	   rcGrp = CASE WHEN dataBefore.memberSchengenStart = 2008 THEN
					  1 -- 'SCH-NEW'
					WHEN dataBefore.memberSchengenStart > 1990 AND dataBefore.memberSchengenStart < 2007 THEN
					  2 --'SCH-OLD'
				    WHEN dataBefore.memberSchengenStart = -1 THEN
					  3 -- 'SCH-PARTIAL'
				    WHEN dataBefore.memberSchengenStart = -2 OR dataBefore.memberSchengenStart = -3 THEN
					  4 -- 'NON-SCH'
				    END,
	   changeRefRateGrp = CASE WHEN CONVERT(INT,dataAfter.avgVisaRefusalRate) = CONVERT(INT,dataBefore.avgVisaRefusalRate) THEN
	                            1 -- 'NO CHANGE'
	                           WHEN CONVERT(INT,dataAfter.avgVisaRefusalRate) < CONVERT(INT,dataBefore.avgVisaRefusalRate) THEN
	                            2 -- 'LIBERAL CHANGE'
	                           WHEN CONVERT(INT,dataAfter.avgVisaRefusalRate) > CONVERT(INT,dataBefore.avgVisaRefusalRate) THEN
	                            3 -- 'RESTRICTIVE CHANGE'
	                      END,
       dataAfter.avgVisaAppliedFor - dataBefore.avgVisaAppliedFor AS changeVisaApplied,
       CONVERT(INT,dataAfter.avgVisaRefusalRate - dataBefore.avgVisaRefusalRate) AS changeRefRate

FROM

(
SELECT rc.countryID AS rcID, 
       rc.countryName AS rcName, 
       sc.countryID AS scID, 
       sc.countryName AS scName, 
       evdVersion1.rcSchMember, 
       rc.memberSchengenStart,
       MAX(evdVersion1.consularService) AS consularService, 
       AVG(CASE WHEN evdVersion1.visaAppliedFor > 0 THEN evdVersion1.visaAppliedFor END) AS avgVisaAppliedFor,
	   AVG(evdVersion1.visaRefusalRate * 100) AS avgVisaRefusalRate, 
	   AVG(evdVersion1.mobilityBarriersIndex) AS avgMobBar
FROM         evdVersion1 INNER JOIN
                      countries AS sc ON evdVersion1.scID = sc.countryID INNER JOIN
                      countries AS rc ON evdVersion1.rcID = rc.countryID
WHERE (evdVersion1.dYear = 2005 OR evdVersion1.dYear = 2006 OR evdVersion1.dYear = 2007) 
      AND (evdVersion1.visaRefusalRate >= 0)
GROUP BY rc.countryID,rc.countryName,sc.countryID,sc.countryName,evdVersion1.rcSchMember,rc.memberSchengenStart
) dataBefore

INNER JOIN
(
SELECT rc.countryID AS rcID, 
       rc.countryName AS rcName, 
       sc.countryID AS scID, 
       sc.countryName AS scName, 
       evdVersion1.rcSchMember, 
       rc.memberSchengenStart,
       MAX(evdVersion1.consularService) AS consularService, 
       AVG(CASE WHEN evdVersion1.visaAppliedFor > 0 THEN evdVersion1.visaAppliedFor END) AS avgVisaAppliedFor,
	   AVG(evdVersion1.visaRefusalRate * 100) AS avgVisaRefusalRate, 
	   AVG(evdVersion1.mobilityBarriersIndex) AS avgMobBar
FROM         evdVersion1 INNER JOIN
                      countries AS sc ON evdVersion1.scID = sc.countryID INNER JOIN
                      countries AS rc ON evdVersion1.rcID = rc.countryID
WHERE (evdVersion1.dYear = 2008 OR evdVersion1.dYear = 2009 OR evdVersion1.dYear = 2010) 
      AND (evdVersion1.visaRefusalRate >= 0)
GROUP BY rc.countryID,rc.countryName,sc.countryID,sc.countryName,evdVersion1.rcSchMember,rc.memberSchengenStart
) dataAfter
ON dataBefore.scID = dataAfter.scID AND dataBefore.rcID = dataAfter.rcID 

ORDER BY rcGrp, dataBefore.rcName, dataBefore.scName