SELECT     rc.countryID AS rcID, 
	       rc.countryName AS rcName, 
	       sc.countryID AS scID, 
	       sc.countryName AS scName, 
	       evdVersion1.dYear, 
	       evdVersion1.rcSchMember, 
           evdVersion1.visaRequirement, 
           evdVersion1.consularService, 
           evdVersion1.visaAppliedFor, 
           evdVersion1.visaIssued, 
           evdVersion1.visaRefused, 
           evdVersion1.visaRefusalRate, 
           evdVersion1.mobilityBarriersIndex,
rcGrp = CASE WHEN rc.memberSchengenStart > 1990 AND rc.memberSchengenStart < 2007 THEN
	          1 --'SCH-OLD'
	       WHEN rc.memberSchengenStart = 2008 THEN
	          2 -- 'SCH-NEW'
	       WHEN rc.memberSchengenStart = -1 THEN
	          3 -- 'SCH-PARTIAL'
	       WHEN rc.memberSchengenStart = -2 THEN
	          4 -- 'EU-NONSCH'
	       WHEN rc.memberSchengenStart = -3 THEN
	          5 -- 'NONEU-NONSCH'
	       END 
FROM         evdVersion1 INNER JOIN
                      countries AS sc ON evdVersion1.scID = sc.countryID INNER JOIN
                      countries AS rc ON evdVersion1.rcID = rc.countryID
WHERE     (evdVersion1.visaRefusalRate >= 0)
ORDER BY rcName, scName, dYear